List a buyer agent’s active channel bindings
curl --request GET \
--url https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"channelBindings": [
{
"id": "<string>",
"provider": "slack",
"teamId": "<string>",
"channelId": "<string>",
"principalId": "<string>",
"createdByUserId": "<string>",
"revokedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
]
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Buyer Agent Principals
List a buyer agent’s active channel bindings
Return active Slack channel bindings for one buyer agent. Only a directly authenticated WorkOS organization administrator may read these organization administration facts.
GET
/
buyer-agent-principals
/
{principalId}
/
channel-bindings
List a buyer agent’s active channel bindings
curl --request GET \
--url https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer-agent-principals/{principalId}/channel-bindings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"channelBindings": [
{
"id": "<string>",
"provider": "slack",
"teamId": "<string>",
"channelId": "<string>",
"principalId": "<string>",
"createdByUserId": "<string>",
"revokedByUserId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
]
},
"error": null
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}